.our-services {
  padding: 45px 0 45px 0;
}

.our-services__content {
  font-size: 18px;
  line-height: 165%;
  color: $dark;

  p + p {
    margin-top: 36px;
  }

  p + ul {
    margin-top: 26px;
  }

  ul {
    @include list-reset;

    li {
      padding-left: 20px;
      position: relative;
      text-align: left;
      &::before {
        @include pseudo;
        width: 8px;
        height: 8px;
        border-radius: 50%;
        background-color: $red;
        margin-right: 12px;
        position: absolute;
        left: 0;
        top: 9px;
      }
      &:not(:last-child) {
        margin-bottom: 26px;
      }
    }
  }
}

.our-services__list {
  @include list-reset;
  counter-reset: item;
}

.our-services__title {
  margin-bottom: 18px;
  text-align: center;
}

.our-services__desc {
  font-size: 28px;
  line-height: 33px;
  text-align: center;
  color: $brown;
  margin-bottom: 60px;
}


.our-services__item {
  position: relative;
  padding-bottom: 113px;

  &:not(:last-child) {
    margin-bottom: 81px;
  }

 .our-services__body {
   &::before {
     content: "0"counter(item);
     counter-increment: item;
     font-size: 36px;
     line-height: 48px;
     color: $red;
     position: absolute;
     font-family: $second-font;
     left: 50%;
     transform: translateX(-50%);
     top: -30px;
   }
 }

  .our-services__button {
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    .button__icon {
      display: none;
    }
  }

  &:first-child {
    .our-services__body {
      border-radius: 34px 0px 0px 0px;
      padding-bottom: 172px;
    }

    .our-services__img {
      margin-top: -124px;
      height: 305px;
      border-radius: 90px 0px;
    }
  }

  &:nth-child(2) {
    .our-services__body {
      border-radius: 0px 34px 0px 0px;
    }

    .our-services__img {
      height: 347px;
      border-radius: 0px 0px 90px 0px;
    }
  }
}

.our-services__img {
  max-width: 400px;
  display: block;
  margin: 0 auto;
  object-fit: cover;
}

.our-services__header {
  color: $dark;
  font-weight: 500;
  font-size: 28px;
  line-height: 33px;
  text-align: center;
  margin-bottom: 36px;
}

.our-services__body {
  padding: 53px 20px 50px 20px;
  background-color: $cream;
}

@media (min-width: 1280px) {
  .our-services {
    padding-top: 75px;
    padding-bottom: 75px;
  }

  .our-services__title {
    margin-bottom: 6px;
  }

  .our-services__desc {
    font-size: 34px;
    line-height: 40px;
    margin-bottom: 93px;
  }

  .our-services__item {
    display: flex;
    padding-bottom: 0;
    align-items: center;

    &:not(:last-child) {
      margin-bottom: 102px;
    }
    .our-services__button {
      bottom: -33px;
      .button__icon {
        display: block;
      }
    }

    &:first-child {
      flex-direction: row-reverse;

      .our-services__body {
        width: 739px;
        min-width: 739px;
        position: relative;
        padding: 70px 117px 112px 117px;
        border-radius: 34px 0px 122px;
        margin-top: -60px;

      }

      .our-services__img {
        margin-top: 0;
        width: 550px;
        min-width: 550px;
        height: 469px;
        border-radius: 147px 0px;
        margin-right: -50px;
        position: relative;
        z-index: 10;
      }
    }

    &:nth-child(2) {
      .our-services__body {
        width: 739px;
        min-width: 739px;
        padding: 71px 121px 109px 107px;
        position: relative;
        border-radius: 0px 34px 0px 122px;
      }

      .our-services__img {
        width: 532px;
        min-width: 532px;
        height: 621px;
        border-radius: 0px 0px 147px 0px;
        margin-left: -31px;
        position: relative;
        z-index: 10;
      }
    }
  }
}
